<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];

$peticion='SGAPackingListPalet#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFO2#'.$orden;


$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
$infoPalet=$resultado[0];
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

//27-05-2022 en Bayport multiusuario, comprobamos que si dos usuarios inician al mismo tiempo, al segundo le sugiere asociar al PL que
//ya se había asociado en el primero. Gestionamos un nuevo campo para controlar esto
if($infoPalet['PackingListYaAsociado']=='S') echo '4';
else if($infoPalet['Error']) echo '0#'.$infoPalet['Error'];
else if($infoPalet['PackingListsCoincidentes']) echo '2'; // Ya existen PL compatibles con la OP actual
else echo '3';

